#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		itinerary
Version: 24.12.2
Release:	%mkrel %{rel}
Summary:	Itinerary display application
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Location)
BuildRequires:	cmake(Qt6Positioning)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Contacts)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6CalendarCore)
BuildRequires:	cmake(KF6Holidays)
BuildRequires:	cmake(KF6UnitConversion)
BuildRequires:	cmake(KF6NetworkManagerQt)

BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6FileMetaData)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6QQC2DesktopStyle)
BuildRequires:	cmake(KF6WindowSystem)

BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KPim6PkPass)
BuildRequires:	cmake(KPim6Itinerary)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOSMIndoorMap)
BuildRequires:	cmake(KHealthCertificate)
BuildRequires:	cmake(LibIcal)
BuildRequires:	cmake(QuotientQt6)
BuildRequires:	cmake(KF6Solid)

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	kitemmodels
BuildRequires:	kosmindoormap
BuildRequires:	prison
BuildRequires:	qt6-qtmultimedia

# Runtime dependencies (itinerary won't start without these packages)
Requires:	kirigami-addons
Requires:	kitemmodels
Requires:	kopeninghours
Requires:	kosmindoormap
Requires:	kpublictransport
Requires:	prison
Requires:	qt6-qtlocation
Requires:	qt6-qtmultimedia
Requires:	qt6-qtpositioning

%description
Itinerary and boarding pass management application.

%files -f kde-itinerary.lang
%{_kf6_categoriesdir}/org_kde_itinerary.categories
%{_kf6_bindir}/itinerary
%{_kf6_libdir}/libSolidExtras.so
%{_kf6_qmldir}/org/kde/solidextras/libsolidextrasqmlplugin.so
%{_kf6_qmldir}/org/kde/solidextras/qmldir
%{_kf6_applicationsdir}/org.kde.itinerary.desktop
%{_kf6_knotificationsdir}/itinerary.notifyrc
%{_kf6_metainfodir}/org.kde.itinerary.appdata.xml
%{_kf6_iconsdir}/hicolor/*/*/*itinerary.*
%{_kf6_plugindir}/kfilemetadata/kfilemetadata_itineraryextractor.so
%{_kf6_plugindir}/thumbcreator/itinerarythumbnail.so

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang kde-itinerary  --all-name


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147094
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136494
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123733
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116290
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113980
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105479
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097338
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087541
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085027
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073145
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069735
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058545
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045091
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037589
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033718
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025062
- New version 24.01.85

* Fri Nov 17 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007382
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989541
- New version 23.08.1

* Fri Aug 18 2023 daviddavid <daviddavid> 23.04.1-3.mga10
+ Revision: 1964832
- add some missing runtime dependencies (mga#32179)

* Sun May 28 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1959510
- enable KHealthCertificate support

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959198
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946430
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941720
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922843
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913411
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905190
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886711
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1883074
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873006
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853900
- New version 22.04.0

* Wed Apr 20 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1852045
- New version 22.03.90

* Wed Dec 29 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1765240
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1723993
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718288
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698485
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694024
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657139
- initial package itinerary

